OGRE-Next: Ogre::SceneFormatListener Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::SceneFormatListener Class Reference
Core | Component » Scene

Override this listener if you want to filter which objects get exported. More...

`#include <OgreSceneFormatBase.h>`

Inheritance diagram for Ogre::SceneFormatListener:
[legend]

## Public Member Functions
virtual bool | exportDecal (const Decal *decal)
virtual bool | exportEntity (const v1::Entity *entity)
virtual bool | exportItem (const Item *item)
virtual bool | exportLight (const Light *light)
virtual bool | exportMesh (const Mesh *mesh)
virtual bool | exportMesh (const v1::Mesh *mesh)
virtual bool | exportSceneNode (const SceneNode *sceneNode)
virtual void | setSceneFlags (uint32 sceneFlags, SceneFormatBase *parent)
Public Member Functions inherited from Ogre::HlmsJsonListener
virtual void | savingChangeTextureName (String &inOutAliasName, String &inOutTexName)
| Gives you a chance to completely change the name of the texture when saving a material.
Public Member Functions inherited from Ogre::HlmsTextureExportListener
virtual void | savingChangeTextureNameOitd (String &inOutFilename, TextureGpu *texture)
virtual void | savingChangeTextureNameOriginal (const String &aliasName, String &inOutResourceName, String &inOutFilename)
| Gives you a chance to completely change the name of the texture when saving a material.

## Detailed Description

Override this listener if you want to filter which objects get exported.

See DefaultSceneFormatListener

## Member Function Documentation

## ◆ exportDecal()

virtual bool Ogre::SceneFormatListener::exportDecal | ( | const Decal * | decal | ) |
| inlinevirtual

## ◆ exportEntity()

virtual bool Ogre::SceneFormatListener::exportEntity | ( | const v1::Entity * | entity | ) |
| inlinevirtual

## ◆ exportItem()

virtual bool Ogre::SceneFormatListener::exportItem | ( | const Item * | item | ) |
| inlinevirtual

Reimplemented in Ogre::DefaultSceneFormatListener.

## ◆ exportLight()

virtual bool Ogre::SceneFormatListener::exportLight | ( | const Light * | light | ) |
| inlinevirtual

## ◆ exportMesh() [1/2]

virtual bool Ogre::SceneFormatListener::exportMesh | ( | const Mesh * | mesh | ) |
| inlinevirtual

## ◆ exportMesh() [2/2]

virtual bool Ogre::SceneFormatListener::exportMesh | ( | const v1::Mesh * | mesh | ) |
| inlinevirtual

## ◆ exportSceneNode()

virtual bool Ogre::SceneFormatListener::exportSceneNode | ( | const SceneNode * | sceneNode | ) |
| inlinevirtual

Reimplemented in Ogre::DefaultSceneFormatListener.

## ◆ setSceneFlags()

virtual void Ogre::SceneFormatListener::setSceneFlags | ( | uint32 | sceneFlags,
|  | SceneFormatBase * | parent )
| inlinevirtual

Reimplemented in Ogre::DefaultSceneFormatListener.

The documentation for this class was generated from the following file:

- OgreSceneFormatBase.h